#ifndef bqtFloatdefsHH
#define bqtFloatdefsHH

#include <cmath>

/* For double: */
#define FLOAT double
#define FLOAT_ARG FLOAT
#define SIN sin
#define COS cos
#define SQRT sqrt
#define POW pow
#define ASIN asin
#define ACOS acos
#define PF "f"
using std::SIN;
using std::COS;
using std::SQRT;
using std::POW;
using std::ASIN;
using std::ACOS;
#define EPSILON 1E-10
/**/

/* For long double:
#define FLOAT long double
#define FLOAT_ARG FLOAT
#define SIN sinl
#define COS cosl
#define SQRT sqrtl
#define POW powl
#define ASIN asinl
#define ACOS acosl
#define PF "Lf"
#define EPSILON 1E-10
*/

/* For fractions:
#define FLOAT fraction<int>
#define FLOAT_ARG const FLOAT &
#define SIN sin
#define COS cos
#define SQRT sqrt
#define POW pow
#define ASIN asin
#define ACOS acos
#define PF "f"
#define EPSILON 1E-10
*/

#endif
