#ifndef bqtTraceHH
#define bqtTraceHH

#include "floatdefs.hh"

class RGB;
class XYZ;
class Map;
class Matrix;

extern const RGB Trace
   (Map *m,
    const XYZ &eye,
    const XYZ &dir,
    FLOAT_ARG effect=1.0
   );

extern void Trace
    (unsigned xres, unsigned yres,
     const XYZ &eye,
     const Matrix &meitriks,
     Map *m,
     const char *fn
    );

#endif
